package xl.model;

import xl.expr.Environment;
import xl.util.XLException;

/**
 * A class representing a cell with a bomb value.
 * 
 * This is essentially a placeholder for an invalid cell reference.
 */
public class BombCell implements Cell {
    public BombCell() {}

    public double cellValue(Environment e) {
        throw XLException.RECURSIVECELL_ERROR;
    }

    public String displayValue() {
        throw XLException.RECURSIVECELL_ERROR;
    }
    
}
